4連休終った

終っちゃいましたが、火水木金といけばまたお休みです。

金土日が休みより、月曜がお休みだと一週間が短くてうれしいですな。

さて、suzukiさんのサイトを読んでいるとampが検索できるようになったらしい。

Google、AMP化したモバイル検索のテストを日本でも開始。本導入は近いのか? | 海外SEO情報ブログ
Googleは、AMP化したモバイル検索のテストを日本のGoogle (google.co.jp) でも、始めている模様。ページがAMP対応している場合に、通常の検索結果にAMPページのURLを表示するモバイル検索は、9月20日に米Google (google.com) で導入されていた。グローバルでの展開は年内の完了...

さっそく自分のサイトをiphoneで確認したがまだだった。suzukiさんによるとgoogleは展開に半年くらいを予定しているらしいのでそのうち対応してもらえるかな?webmastertoolsになんか連絡があるかもしれませんね。

しかし、ampってそんな必要ですか?早い早いといいながらiphoneをもってみてそんなに遅いとおもわないのだが・・・。普通のサイトで十分だと思います。

その内なくなるんじゃ?

それとo6asanさんに指摘されたのですが、starsslではなく本来はstartsslでした。

お詫び申し上げます。wordpressの方は置換用のプラグインを使いなおしておきました。

ついでにwordpressのプラグインのお話です。先ほど会社wpをなおしたのですが、どうやら新バージョンのプラグインだとphpの解析不能エラーになってしまいます。しかし、このwpものせていますが問題なし。

他のエラーもあるかどうかみてみたらあほのがやはりexplode関数が解析不能エラーw

こちらもこのサーバーで検証したら問題なしです。

恐らくphpのバージョンでしょう。php5.3.3なんてふるすぎるんですよw

ということでphp -lで文法チェックをしてみましょう。

$ php -v
PHP 5.3.3 (cli) (built: Jul 12 2013 17:04:59)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
with the ionCube PHP Loader v4.0.14, Copyright (c) 2002-2011, by ionCube Ltd.

$ php -l ph-prot-main.php
PHP Parse error: syntax error, unexpected ‘[‘ in ph-prot-main.php on line 6
Errors parsing ph-prot-main.php

俺のサーバー

[redadmin@www ph-protection]$ php -v
PHP 7.0.11 (cli) (built: Oct 3 2016 13:23:00) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
with Zend OPcache v7.0.11, Copyright (c) 1999-2016, by Zend Technologies

[redadmin@www ph-protection]$ php -l ph-prot-main.php
No syntax errors detected in ph-prot-main.php

やっぱりなー。古いプラグインとかでphpのバージョンあげれない問題もあるが、こういう問題もあるんだな。

やはり、推奨以上のバージョンでやるのが筋でしょうな。

おまけ、shake it off